/** Override admin styles */

/**
 * Toobar & Formats
 *
 * @link https://github.com/tinymce/tinymce/tree/master/js/tinymce/skins/lightgray
 * @link http://community.tinymce.com/forum/viewtopic.php?pid=110713
 */
.mce-toolbar.mce-stack-layout-item.mce-first {
  position: relative;

  /* & .mce-widget.mce-btn[aria-label^="Toolbar Toggle"] {
    position: absolute;
    right: 0;
    top: 2px;
  } */
}

.mce-toolbar .mce-btn-group:has(.mce-widget.mce-btn[aria-label^="Toolbar Toggle"]) {
  padding-right: 32px !important;
}

.mce-toolbar .mce-btn-group .mce-widget.mce-btn.mce-menubtn.mce-btn-has-text {
	background: #fff;
	border: 1px solid #ddd;
	border-radius: 0;
	box-shadow: inset 0 1px 1px -1px rgb(0 0 0 / 0.20);

	& button {
		font-size: 13px;
		line-height: 20px;
		max-width: 106px;
		min-width: 106px;
		padding-left: 6px;
		padding-right: 20px;
		text-align: left;
	}

	& .mce-caret {
		margin-top: -2px;
		position: absolute; right: 4px; top: 50%;
	}

	&.mce-active {

		.mce-caret {
			margin-top: -3px;
		}
	}
}

.mce-menu-item {

  & .mce-ico {
    align-items: center;
    color: inherit !important;
    display: inline-flex;
    font: normal 20px/1 dashicons;
  }

  & .mce-i-paragraph {

    &::before {
      content: '\f476'; /** dashicons-editor-paragraph */
    }
  }

  & .mce-text {
    color: inherit !important;
    font-family: sans-serif !important;
  }

  &.mce-disabled {
    opacity: 0.4;
  }

  &.mce-active {
    background-color: #50575e;
    border: 0 !important;
  }
}
